CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Own Services

INTRODUCTION
------------

This module implements Klaro Consent Management for modules like Matomo or Google Analytics. See https://klaro.kiprotect.com/

The site's users have to choose which (tracking) services will be used before loading from external sources.

Per default the contrib-modules google_tag, google_analytics and matomo are implemented.
Warning: google_tag will per default add a <noscript>-tag. See https://www.drupal.org/project/google_tag/issues/3106318

REQUIREMENTS
------------

This module requires Drupal Core version 7.68 or higher.

Some themes (e.g. bootstrap, omega and zen) need patches because they delete the script-type in general due to html5-compatibility. For zen you can use this patch: https://www.drupal.org/project/zen/issues/3097386

You need the klaro-JS-library.

INSTALLATION
------------

Install as you would normally install a contributed Drupal module. See
https://www.drupal.org/docs/7/extend/installing-modules for further
information.

You have to download klaro-library:

cd sites/all/libraries
wget https://github.com/KIProtect/klaro/archive/master.zip
unzip master.zip
mv klaro-master klaro
rm master.zip

For the latest version just build klaro from source, see https://github.com/KIProtect/klaro/#building-klaro-from-scratch

CONFIGURATION
-------------

Visit /admin/config/system/klaro and enable the service.

You can enable or disable each pre-installed implementation (Google Tag Manager, Google Analytics and Matomo).
You can change title, description, info-link, policy-link and the required flag for each implementation. If you use your self-hosted matomo you have to adapt this both links for you!

Please check the correct implementation (e.g. with Firefox Inspector or Lighthouse Project). Modules may change their code or configuration may change. Some Modules may implement external source in other ways (e.g. iframe) so you have to decide if this comply with your needs.

OWN SERVICES
------------

If you want to manage own services with this module, you can use hook_klaro_info() for your own services, see klaro.api.php for further information.

If you want to override existing implementations programmatically, you can use hook_klaro_info_alter(), see klaro.api.php for further information.

